from django.contrib import admin
from django.urls import path
from .views import login_view, challenges_view, complete_challenge, ranking_view

urlpatterns = [
    path('admin/', admin.site.urls),  # Accès à l'administration Django
    path('', login_view, name='login'),  # Page de connexion par défaut
    path('challenges/', challenges_view, name='challenges'),  # Page des défis
    path('complete_challenge/', complete_challenge, name='complete_challenge'),  # API de validation des défis
    path('ranking/', ranking_view, name='ranking'),  # Page du classement
]
